import { http } from '@/utils/http'
import type { DictData } from './dict.d'


export const DICT_REPAIR_REQ_TYPE = 'repair_req_type'
export const DICT_REPAIR_URGENCY_LEVEL = 'repair_urgency_level'
export const DICT_REPAIR_FAULT_TYPE = 'repair_fault_type'
export const DICT_REPAIR_REQ_STATUS = 'repair_req_status'
export const DICT_REPAIR_RES_STATUS = 'repair_res_status'

export const DICT_SYS_EQU_STATUS = 'sys_equ_status'

export const getDictInfo = (dictType: string) => {
  return http.get<DictData[]>(`/system/dict/data/type/${dictType}`)
}

